
from google.appengine.ext import db

class Result(db.Model):
  created  = db.DateTimeProperty(auto_now_add=True)
  posted   = db.DateProperty()
  size     = db.IntegerProperty()
  rent     = db.IntegerProperty()
  desc     = db.TextProperty()
  phone    = db.StringProperty()
  address  = db.StringProperty()
  location = db.StringProperty()
  src_url  = db.StringProperty()
  gmap_url = db.StringProperty()
  has_html = db.BooleanProperty()

  @staticmethod
  def purge():
    while True:
      results = Result.all().fetch(500)
      if not results:
        break
      db.delete(results)

