
from google.appengine.dist import use_library
use_library('django', '1.0')

from google.appengine.ext import webapp
from google.appengine.ext.webapp import template
from google.appengine.ext.webapp.util import run_wsgi_app

from cron.retrieve import Retrieve
from views.show import Show

application = webapp.WSGIApplication([
  ('/cron/retrieve', Retrieve),
  ('/show', Show),
  ('/', Show),
  ], debug=True)

def main():
  run_wsgi_app(application)

if __name__ == "__main__":
  main()


